Skip to content
Product Docs

Get File Store Info

GET/api/v1/admin/filestores/info

Get File Store Info

Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
status: "missing_buckets" or "missing_credentials" or "ok"
One of the following:
"missing_buckets"
"missing_credentials"
"ok"
available_buckets: optional map[string]
unavailable_buckets: optional map[string]

Get File Store Info

curl https://api.cloud.llamaindex.ai/api/v1/admin/filestores/info \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "status": "missing_buckets",
  "available_buckets": {
    "foo": "string"
  },
  "unavailable_buckets": {
    "foo": "string"
  }
}
Returns Examples
{
  "status": "missing_buckets",
  "available_buckets": {
    "foo": "string"
  },
  "unavailable_buckets": {
    "foo": "string"
  }
}